// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: dsepractice/chinese/v1alpha1/core_types.proto

package gg.dsepractice.chinese.v1alpha1;

public interface GameSessionResultOrBuilder extends
    // @@protoc_insertion_point(interface_extends:dsepractice.chinese.v1alpha1.GameSessionResult)
    com.google.protobuf.MessageLiteOrBuilder {

  /**
   * <code>.google.protobuf.Duration time_taken = 1 [json_name = "timeTaken"];</code>
   * @return Whether the timeTaken field is set.
   */
  boolean hasTimeTaken();
  /**
   * <code>.google.protobuf.Duration time_taken = 1 [json_name = "timeTaken"];</code>
   * @return The timeTaken.
   */
  com.google.protobuf.Duration getTimeTaken();

  /**
   * <code>bool success = 2 [json_name = "success"];</code>
   * @return The success.
   */
  boolean getSuccess();

  /**
   * <code>int64 score = 3 [json_name = "score"];</code>
   * @return The score.
   */
  long getScore();

  /**
   * <code>.google.protobuf.Timestamp submitted_at = 4 [json_name = "submittedAt"];</code>
   * @return Whether the submittedAt field is set.
   */
  boolean hasSubmittedAt();
  /**
   * <code>.google.protobuf.Timestamp submitted_at = 4 [json_name = "submittedAt"];</code>
   * @return The submittedAt.
   */
  com.google.protobuf.Timestamp getSubmittedAt();
}
